

/***************************************
* STORED stp_UDC_associaParent
*
* crea un nuovo record nella di associazione UDC/parent
*
* Steamware, S.E.L.
* mod: 2011.12.06
*
****************************************/
CREATE PROCEDURE [dbo].[stp_UDC_associaParent]
(
	@UDC NVARCHAR(50),
	@UDC_parent NVARCHAR(50)
)
AS

SET @UDC = UPPER(@UDC)               -- metto ad Upper nel caso venga passato in minuscolo ( es. smart LDP da terminalino )
SET @UDC_parent = UPPER(@UDC_parent) -- metto ad Upper nel caso venga passato in minuscolo ( es. smart LDP da terminalino )

BEGIN TRAN
	-- elimino partent vuoti...
	DELETE 
	FROM RelazUDC
	WHERE ISNULL(UDC_parent,'') = ''
	
	-- inserisco relazione parent-child tra UDC vecchio (tara) e nuovo (pesa)
	INSERT INTO RelazUDC(UDC_parent, UDC_child)
	VALUES (@UDC_parent, @UDC)
COMMIT

RETURN
